<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class QuestionReplyQuotedMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $serverQuestionId = null;
    


    protected $quotedQuestion = null;
    


    protected $quotedResponse = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getServerQuestionId()
    {
        return isset($this->serverQuestionId) ? $this->serverQuestionId : 0;
    }

    public function hasServerQuestionId()
    {
        return isset($this->serverQuestionId);
    }

    public function clearServerQuestionId()
    {
        unset($this->serverQuestionId);
    }

    




    public function setServerQuestionId($var)
    {
        GPBUtil::checkInt32($var);
        $this->serverQuestionId = $var;

        return $this;
    }

    



    public function getQuotedQuestion()
    {
        return $this->quotedQuestion;
    }

    public function hasQuotedQuestion()
    {
        return isset($this->quotedQuestion);
    }

    public function clearQuotedQuestion()
    {
        unset($this->quotedQuestion);
    }

    




    public function setQuotedQuestion($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message::class);
        $this->quotedQuestion = $var;

        return $this;
    }

    



    public function getQuotedResponse()
    {
        return $this->quotedResponse;
    }

    public function hasQuotedResponse()
    {
        return isset($this->quotedResponse);
    }

    public function clearQuotedResponse()
    {
        unset($this->quotedResponse);
    }

    




    public function setQuotedResponse($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message::class);
        $this->quotedResponse = $var;

        return $this;
    }

}

